getTDRows {annotate} | R Documentation

## Functions to create hypertext links that can be placed in a table cell of a HTML file

### Description

Given a vector of ids, the functions will create a vector of hypertext links to a defined public repositories such as LocusLink, UniGene .... The linkages can be placed in a html file constructed by `ll.htmlpage`

### Usage

    getTDRows(ids, repository = "ug")
    getQueryLink(ids, repository = "ug")
    getQuery4UG(ids)
    getQuery4LL(ids)

### Arguments

`ids` | `ids` a vector of character string for ids that will used to construct hypertext links
`repository` | `repository` A character string for the name of a public repositories. Valid values include "ll", "ug"

### Details

`getQuery4LL` constructs hypertext links to LocusLink using the provided ids.

`getQuery4UG` constructs hypertext links to UniGene using the provided ids.

`getQueryLink` directs calls to construct hypertext links using the provided ids.

`getTDRows`

### Value

Returns a vector of character strings representing the hypertext links.

### Note

The functions are part of Bioconductor project at Dana-Farber Cancer Institute to provide Bioinformatics functionalities through R

### Author(s)

Jianhua Zhang

### See Also

`ll.htmlpage`

### Examples

    ids <- c("Hs.78713", "Hs.11184", "Hs.281866","Hs.31314")
    getTDRows(ids)

[Package Contents]